<?php
error_reporting(E_ERROR | E_PARSE );//未定义变量处理报错
//获取上级id_array
function F($id){
	$F=get_id_array($id,2);
	return $F;
}

//符合要求的所有栏目$type:1为子级 2为父级(用于后台list_data,)
function get_id_array($id,$type){
	$get_cate_list_array=\app\admin\model\Cate::field('id,catename,pid,model_id')->select()->toArray();
	if($type==1){
		$return=get_cate_id_son($get_cate_list_array,$id);
	}
	if($type==2){
		$return=arr_sort(get_cate_id_parents($get_cate_list_array,$id));
	}
	return $return;
}

//获取当前栏目所有子栏目id
function get_cate_id_son($array,$id,$k=''){
	$arr = array();
	if($k==''){ $arr[]=intval($id); }//获取子栏目的时候加上本栏目
	foreach($array as $v){
		if($v['pid'] == $id){
			$arr[] = $v['id'];
			$arr = array_merge($arr,get_cate_id_son($array,$v['id'],1));
		};
	};
	sort($arr);
	return $arr;
}


//获取当前栏目父级id
function get_cate_id_parents($array,$pid,$k=''){
	$arr = array();
	foreach($array as $v){
		if($v['id'] == $pid){
			$arr[] = $v['id'];
			$arr = array_merge($arr,get_cate_id_parents($array,$v['pid'],1));
		};
	};
	return $arr;
}

//父级array 倒着排序
function arr_sort($arr){
	return array_reverse($arr);
}

//去除不是相同模型的栏目,用于:1.后台list_data获取数据时候的筛选本模型的数据,2.article_copy获取最大sort。
function get_id_array_filter($array,$model_id){
	$list=\app\admin\model\Cate::where('id','in',$array)->field('id,model_id')->select()->toArray();
	$arr = array();
	foreach($list as $k=>$v){
		if($v['model_id']==$model_id){
			$arr[] = $v['id'];
		}
	}
	return $arr;
}

//通过表、ID获取内容
function get_name($id,$field,$table){
	$name=\app\admin\model\Common::tq_value($id,$field,$table);
	return $name;
}

//数字*号显示
function code_x($code,$a=3,$b=7){
    for($i=1;$i<=$b-$a;$i++){
        $ss[]='*';
    }
    $xx=implode('',$ss);
    if($code){
        $code=substr($code,0,$a).$xx.substr($code,$b);
    }
    return $code;
}